Index: trunk/import/pp_definition.sql
===================================================================
--- trunk/import/pp_definition.sql	(revision 342)
+++ trunk/import/pp_definition.sql	(revision 344)
@@ -12,5 +12,5 @@
 --  2012-02-28 gkz aus View nehmen
 --  2012-04-17 Flurstuecksnummern auf Standardposition
---  2012-04-23 ax_flurstueck hat keinen Unique Index mahr auf gml_id,
+--  2012-04-23 ax_flurstueck hat keinen Unique Index mehr auf gml_id,
 --             ForeignKey vorÃŒbergehend ausgeschaltet.
 --  2012-04-25 simple_geom fuer pp_flur
@@ -21,6 +21,6 @@
 --  2014-09-02 Entfernen der JOINs ÃŒber "alkis_beziehungen". 
 --             Wie im Schema: SchlÃŒssel von integer nach varchar fÃŒr land, regierungsbezirk usw.
-
-  --  IN ARBEIT +++++    substring(_.gml_id,1,16) 
+--  2014-10-28 letzte FÃ€lle von "substring(gml_id,1,16)" wieder raus
+
 
 -- ============================
@@ -260,8 +260,8 @@
   SELECT DISTINCT p.gml_id AS person, g.land, g.regierungsbezirk, g.kreis, g.gemeinde
   FROM ax_person          p
-  JOIN ax_namensnummer    n  ON n.benennt=substring(p.gml_id,1,16)            -- Person <benennt< Namensnummer
-  JOIN ax_buchungsblatt   b  ON n.istbestandteilvon=substring(b.gml_id,1,16)  -- Namensnummer >istBestandteilVon> Blatt
-  JOIN ax_buchungsstelle  s  ON s.istbestandteilvon=substring(b.gml_id,1,16)  -- Blatt <istBestandteilVon< buchungsStelle
-  JOIN ax_flurstueck      f  ON f.istgebucht=substring(s.gml_id,1,16)         -- buchungsStelle <istGebucht< flurstÃŒck
+  JOIN ax_namensnummer    n  ON n.benennt=p.gml_id              -- Person <benennt< Namensnummer
+  JOIN ax_buchungsblatt   b  ON n.istbestandteilvon=b.gml_id    -- Namensnummer >istBestandteilVon> Blatt
+  JOIN ax_buchungsstelle  s  ON s.istbestandteilvon= b.gml_id   -- Blatt <istBestandteilVon< buchungsStelle
+  JOIN ax_flurstueck      f  ON f.istgebucht=s.gml_id           -- buchungsStelle <istGebucht< flurstÃŒck
   JOIN ax_gemarkung       k  ON f.land=k.land AND f.gemarkungsnummer=k.gemarkungsnummer 
   JOIN gemeinde_gemarkung g  ON k.gemarkungsnummer=g.gemarkung;
@@ -277,9 +277,9 @@
   SELECT DISTINCT p.gml_id AS person, g.land, g.regierungsbezirk, g.kreis, g.gemeinde
   FROM ax_person          p
-  JOIN ax_namensnummer    n  ON n.benennt=substring(p.gml_id,1,16)             -- Person <benennt< Namensnummer
-  JOIN ax_buchungsblatt   b  ON n.istBestandteilVon=substring(b.gml_id,1,16)   -- Namensnummer >istBestandteilVon> Blatt
-  JOIN ax_buchungsstelle  s1 ON s1.istbestandteilvon=substring(b.gml_id,1,16)  -- Blatt <istBestandteilVon< buchungsStelle1
-  JOIN ax_buchungsstelle  s2 ON substring(s2.gml_id,1,16)=ANY(s1.an)           -- buchungsStelle2 <(recht)an< buchungsStelle1
-  JOIN ax_flurstueck      f  ON f.istgebucht=substring(s2.gml_id,1,16)         -- buchungsStelle2 < istGebucht < flurstÃŒck
+  JOIN ax_namensnummer    n  ON n.benennt=p.gml_id             -- Person <benennt< Namensnummer
+  JOIN ax_buchungsblatt   b  ON n.istBestandteilVon=b.gml_id   -- Namensnummer >istBestandteilVon> Blatt
+  JOIN ax_buchungsstelle  s1 ON s1.istbestandteilvon=b.gml_id  -- Blatt <istBestandteilVon< buchungsStelle1
+  JOIN ax_buchungsstelle  s2 ON s2.gml_id=ANY(s1.an)           -- buchungsStelle2 <(recht)an< buchungsStelle1
+  JOIN ax_flurstueck      f  ON f.istgebucht=s2.gml_id         -- buchungsStelle2 < istGebucht < flurstÃŒck
   JOIN ax_gemarkung       k  ON f.land=k.land AND f.gemarkungsnummer=k.gemarkungsnummer 
   JOIN gemeinde_gemarkung g  ON k.gemarkungsnummer=g.gemarkung;
Index: trunk/import/sichten_wms.sql
===================================================================
--- trunk/import/sichten_wms.sql	(revision 342)
+++ trunk/import/sichten_wms.sql	(revision 344)
@@ -28,4 +28,5 @@
 --  2014-08-29 P- und L-StraÃennamen gegenseitig ausschlieÃen in ap_pto_stra und ap_lto_stra
 --  2014-09-30 Umbenennung SchlÃŒsseltabellen (Prefix)
+--  2014-10-28 In "ap_pto_rest" keine Anzeige fÃŒr Texte ohne " advstandardmodell='DKKM1000' "
 
 -- Layer "ag_t_gebaeude"
@@ -276,5 +277,5 @@
            -- Ersatzweise auch "keine Angabe", aber nur wenn es keinen besseren Text zur Lage gibt
            OR (p.advstandardmodell IS NULL
-               -- Alternativen zur Legebezeichnung suchen in P- und L-Version
+               -- Alternativen zur Lagebezeichnung suchen in P- und L-Version
                AND (SELECT s.ogc_fid FROM ap_lto s -- irgend ein Feld eines anderen Textes (suchen)
                       JOIN ax_lagebezeichnungohnehausnummer ls ON ls.gml_id = ANY(s.dientzurdarstellungvon)
@@ -350,5 +351,4 @@
 -- ----------------------------------------
 -- REST: Texte, die nicht schon in einem anderen Layer ausgegeben werden
--- Ersetzt den View "s_beschriftung"
 -- Doppelte Darstellung aufgrund verschiedener "advstandardmodell" zum Objekt unterdrÃŒcken analog ap_pto_stra und ap_pto_nam
 
@@ -370,4 +370,8 @@
      -- 'PNR' = Pseudonummer (lfd.-Nr.-NebengebÃ€ude), Inhalte wie "(1)" oder "P50" - kommt nicht mehr vor, oder?
     AND ('DKKM1000' = ANY (p.advstandardmodell)     -- "Lika 1000" bevorzugen
+
+/*	-- Ãnderung 2014-10-28: nicht einbeziehen wenn advstandardmodell leer ist.
+	-- Sonst doppelte Darstellung von freierText mit StraÃennamen auf Nutzungsarten fÃŒr ABK.
+
            -- Ersatzweise auch "keine Angabe" (null) akzeptieren, aber nur wenn ...
            OR (p.advstandardmodell IS NULL
@@ -379,4 +383,5 @@
                     ) IS NULL 
               ) -- "Subquery IS NULL" liefert true wenn kein weiterer Text gefunden wird
+*/
          );
 
